<tool id="seq2meme" name="create-motif-file">
  <description>from fasta file</description>
  <command interpreter="python">seq2meme.py $input $output $motifName $psuedocont $background </command>
  <inputs>
     <param name="input" type="data" format="txt" label="Sequence file" help="all sequences should be the same length"/>    
      <param name="motifName" size="20" type="text" value="motif1" label="Motif name (no space allowed)"/>
      <param name="psuedocont" size="10" type="float" value="1.0" label="Psuedocount"/>
    <param name="background" size="40" type="text" value="A,0.25,C,0.25,G,0.25,T,0.25" label="Background frequency"/>
  </inputs>
  <outputs>
    <data format="txt" name="output" label="$motifName-meme"/>
  </outputs>
  <help>

**Description**

Generate a MEME motif format file from a set of sequences. Input could be raw sequences (one sequence per line) or fasta format (one identifier line and one sequence line).


  </help>
</tool>
